<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<floater
 positioning="cascading"
 legacy_header_height="18"
 height="590"
 layout="topleft"
 name="toolbox floater"
 save_rect="true"
 title="Build Tools"
 short_title="Build Tools"
 single_instance="true"
 save_visibility="true"
 sound_flags="0"
 width="305">
  <floater.string
     name="grid_screen_text">
    Screen
  </floater.string>
  <floater.string
   name="grid_local_text">
    Local
  </floater.string>
  <floater.string
   name="grid_world_text">
    World
  </floater.string>
  <floater.string
   name="grid_reference_text">
    Reference
  </floater.string>
  <floater.string
   name="grid_attachment_text">
    Attachment
  </floater.string>
  <floater.string
     name="status_rotate">
        Drag colored bands to rotate object
    </floater.string>
    <floater.string
     name="status_scale">
        Click and drag to stretch selected side
    </floater.string>
    <floater.string
     name="status_move">
        Drag to move, shift-drag to copy
    </floater.string>
    <floater.string
     name="status_modifyland">
        Click and hold to modify land
    </floater.string>
    <floater.string
     name="status_camera">
        Click and drag to move camera
    </floater.string>
    <floater.string
     name="status_grab">
        Drag to move, Ctrl to lift, Ctrl+Shift to rotate
    </floater.string>
    <floater.string
     name="status_place">
        Click inworld to build
    </floater.string>
    <floater.string
     name="status_selectland">
        Click and drag to select land
    </floater.string>
    <floater.string
     name="status_selectcount">
        [OBJ_COUNT] objects selected, land impact [LAND_IMPACT]
    </floater.string>
    <floater.string
     name="status_remaining_capacity">
        Remaining capacity [LAND_CAPACITY].
    </floater.string>
	<view_border
    bevel_style="none"
    follows="top|left"
    height="145"
    layout="topleft"
    left="10"
    name="cost_text_border"
    top="18"
	visible="false"
    width="285"/>
	<view_border
    bevel_style="none"
    follows="top|left"
    height="410"
    layout="topleft"
    left="10"
    name="cost_text_border"
	visible="false"
    top_pad="5"
    width="285"/>
    <button
     follows="right|top"
     height="16"
     image_bottom_pad="1"
     image_overlay="Tool_Zoom"
     image_selected="transparent.j2c"
	 image_unselected="transparent.j2c"
     layout="topleft"
     left="160"
					top="1"
     name="button focus"
     tool_tip="Focus"
     width="16">
	  <button.commit_callback
	     function="BuildTool.setTool"
	     parameter="Focus" />
	</button>
    <button
     follows="left|top"
      height="16"
     image_bottom_pad="1"
     image_overlay="Tool_Grab"
     image_selected="transparent.j2c"
	 image_unselected="transparent.j2c"
     layout="topleft"
     left_pad="5"
     name="button move"
     tool_tip="Move"
     width="16">
	  <button.commit_callback
	     function="BuildTool.setTool"
	     parameter="Move" />
	</button>
    <button
     follows="left|top"
     height="16"
     image_bottom_pad="1"
     image_overlay="Tool_Face"
     image_selected="transparent.j2c"
	 image_unselected="transparent.j2c"
     layout="topleft"
     left_pad="5"
     name="button edit"
     tool_tip="Edit"
     width="16">
	  <button.commit_callback
	     function="BuildTool.setTool"
	     parameter="Edit" />
	</button>
    <button
     follows="left|top"
      height="16"
     image_bottom_pad="1"
     image_overlay="Tool_Create"
     image_selected="transparent.j2c"
	 image_unselected="transparent.j2c"
     layout="topleft"
     left_pad="5"
     name="button create"
     tool_tip="Create"
     width="16">
	  <button.commit_callback
	     function="BuildTool.setTool"
	     parameter="Create" />
	</button>
    <button
     follows="left|top"
      height="16"
     image_bottom_pad="1"
     image_overlay="Tool_Dozer"
     image_selected="transparent.j2c"
	 image_unselected="transparent.j2c"
     layout="topleft"
     left_pad="5"
     name="button land"
     tool_tip="Land"
     width="16">
	  <button.commit_callback
	     function="BuildTool.setTool"
	     parameter="Land" />
	</button>
    <!--<text
     height="30"
     word_wrap="true"
     use_ellipses="true"
     type="string"
     text_color="LabelSelectedDisabledColor"
     length="1"
     follows="left|top"
     layout="topleft"
     left="8"
     name="text status"
     top_pad="3"
     width="285">
        Drag to move, shift-drag to copy
	</text>-->
    <panel
	 follows="left|top"
     height="130"
     layout="topleft"
     left="0"
     visible="true"
     mouse_opaque="false"
     name="focus_panel"
     top="0"
     width="290">
   <radio_group
     layout="topleft"
     left="8"
      height="70"
      top="27"
     name="focus_radio_group">
        <radio_item
         top_pad="5"
         label="Zoom"
         layout="topleft"
         name="radio zoom" />
        <radio_item
         top_pad="5"
         label="Orbit (Ctrl)"
         layout="topleft"
         name="radio orbit" />
        <radio_item
         top_pad="5"
         label="Pan (Ctrl+Shift)"
         layout="topleft"
         name="radio pan" />
		 <radio_group.commit_callback
	     function="BuildTool.commitRadioFocus"/>
    </radio_group>
   <slider_bar
     follows="left|top"
     height="14"
     increment="0.01"
     initial_value="0.125"
     layout="topleft"
     max_val="0.5"
     top_delta="-2"
     left="145"
     name="slider zoom"
     width="158">
	 <slider_bar.commit_callback
	     function="BuildTool.commitZoom"/>
			</slider_bar>
    </panel>
    
    <panel
	 follows="left|top"
     height="130"
     layout="topleft"
     left="0"
     visible="true"
     mouse_opaque="false"
     name="grab_panel"
     top="0"
     width="290">
   <radio_group
      left="8"
      height="70"
      top="27"
     layout="topleft"
     name="move_radio_group">
        <radio_item
         top_pad="5"
         label="Move"
         layout="topleft"
         name="radio move" />
        <radio_item
		 top_pad="5"
         label="Lift (Ctrl)"
         layout="topleft"
         name="radio lift" />
        <radio_item
         top_pad="5"
         label="Spin (Ctrl+Shift)"
         layout="topleft"
         name="radio spin" />
		 <radio_group.commit_callback
			function="BuildTool.commitRadioMove"/>
	</radio_group>
    </panel>
    
    <panel
	 follows="left|top"
     height="130"
     layout="topleft"
     left="0"
     mouse_opaque="false"
     visible="true"
     name="select_panel"
     top="0"
     width="290">
	<radio_group
     follows="left|top"
	 left="8"
	 top="29"
	 height="70"
     layout="topleft"
	 name="edit_radio_group">
        <radio_item
		 label="Move"
		 layout="topleft"
		 name="radio position" />
        <radio_item
		 top_pad="5"
         label="Rotate (Ctrl)"
         layout="topleft"
         name="radio rotate" />
        <radio_item
		 top_pad="5"
         label="Stretch (Ctrl+Shift)"
         layout="topleft"
         name="radio stretch" />
        <radio_item
		 top_pad="5"
         label="Select Face"
         layout="topleft"
         name="radio select face" />
		<radio_item
		 top_pad="5"
         label="Align"
         layout="topleft"
         name="radio align" />
			<radio_group.commit_callback
			function="BuildTool.commitRadioEdit"/>
    </radio_group>

    <check_box
     control_name="ScaleUniform"
     height="16"
     label="Stretch Both Sides"
     layout="topleft"
     left="143"
     name="checkbox uniform"
     top="27"
     width="20" />
    <check_box
     control_name="ScaleStretchTextures"
     height="16"
     initial_value="true"
     label="Stretch Textures"
     layout="topleft"
     left="143"
     name="checkbox stretch textures"
     top_pad="0"
     follows="left|top"
     width="134" />
	<check_box
     control_name="SelectMovableOnly"
     height="16"
     initial_value="true"
     label="Only Physical Objects"
     layout="topleft"
     left="143"
     name="checkbox only physical objects"
     top_pad="0"
     follows="left|top"
     width="134" />
	<check_box
     control_name="SelectOwnedOnly"
     height="16"
     initial_value="true"
     label="Only My Objects"
     layout="topleft"
     left="143"
     name="checkbox only my objects"
     top_pad="0"
     follows="left|top"
     width="134" />
				<check_box
     left="143"
     follows="left|top"
     height="16"
	 control_name="EditLinkedParts"
     label="Edit linked"
     layout="topleft"
     name="checkbox edit linked parts"
     top_pad="0">
		  <check_box.commit_callback
			function="BuildTool.selectComponent"/>
	</check_box>
				<button
     follows="left|top"
     height="21"
     label="Link"
     image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
     top="110"
     layout="topleft"
     left="10"
     name="link_btn"
     width="43">
	  <button.commit_callback
	     function="BuildTool.LinkObjects"/>
    </button>
    <button
     follows="left|top"
     height="21"
     label="Unlink"
     image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
     layout="topleft"
     left_pad="1"
     name="unlink_btn"
     width="69">
	  <button.commit_callback
	     function="BuildTool.UnlinkObjects"/>
	</button>
	<button
	 control_name="SnapEnabled"
     follows="left|top"
	 is_toggle="true"
     height="21"
     label="Snap to"
     image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
     layout="topleft"
     left_pad="1"
     name="checkbox snap to grid"
     width="66"/>
   <!--<check_box
     control_name="SnapEnabled"
     height="16"
     initial_value="true"
     label="Snap"
     layout="topleft"
     top_pad="0"
     name="checkbox snap to grid"
     width="134" />-->
    <combo_box
      height="21"
      layout="topleft"
      follows="left|top"
      name="combobox grid mode"
      tool_tip="Choose the type of grid ruler for positioning the object"
      top_delta="0"
      left_pad="1"
      width="85">
      <combo_box.item
      label="World"
      name="World"
      value="World" />
      <combo_box.item
      label="Local"
      name="Local"
      value="Local" />
      <combo_box.item
      label="Reference"
      name="Reference"
      value="Reference" />
      <combo_box.commit_callback
      function="BuildTool.gridMode"/>
      <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_pressed="ToolbarDropDown_Press" 
            image_pressed_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
    </combo_box>
	<button
     left_pad="1"
     label=""
	 image_overlay="Conv_toolbar_expand"
     layout="topleft"
     follows="top|left"
     name="Options..."
     image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
     tool_tip="See more grid options"
     top_delta="0"
     width="19"
     height="21" >
	 <button.commit_callback
	     function="BuildTool.gridOptions"/>
	</button>
    </panel>
    
    <panel
	 follows="left|top"
     height="130"
     layout="topleft"
     left="0"
     visible="true"
     mouse_opaque="false"
     name="create_panel"
     top="0"
     width="290">
   <button
     follows="left|top"
     height="20"
     image_disabled="Object_Cube"
     image_disabled_selected="Object_Cube"
     image_selected="Object_Cube_Selected"
     image_unselected="Object_Cube"
     layout="topleft"
     left="10"
     name="ToolCube"
     tool_tip="Cube"
     top="27"
     width="20" />
				<button
     follows="left|top"
     height="20"
     image_disabled="Object_Sphere"
     image_disabled_selected="Object_Sphere"
     image_selected="Object_Sphere_Selected"
     image_unselected="Object_Sphere"
     layout="topleft"
     left_delta="27"
     name="ToolSphere"
     tool_tip="Sphere"
     top_delta="0"
     width="20" />
				<button
     follows="left|top"
     height="20"
     image_disabled="Object_Cylinder"
     image_disabled_selected="Object_Cylinder"
     image_selected="Object_Cylinder_Selected"
     image_unselected="Object_Cylinder"
     layout="topleft"
     left_delta="27"
     name="ToolCylinder"
     tool_tip="Cylinder"
     top_delta="0"
     width="20" />
    <button
     follows="left|top"
     height="20"
     image_disabled="Object_Pyramid"
     image_disabled_selected="Object_Pyramid"
     image_selected="Object_Pyramid_Selected"
     image_unselected="Object_Pyramid"
     layout="topleft"
     left_delta="27"
     name="ToolPyramid"
     tool_tip="Pyramid"
     top_delta="0"
     width="20" />
				<button
     follows="left|top"
     height="20"
     image_disabled="Object_Cone"
     image_disabled_selected="Object_Cone"
     image_selected="Object_Cone_Selected"
     image_unselected="Object_Cone"
     layout="topleft"
     left_delta="27"
     name="ToolCone"
     tool_tip="Cone"
     top_delta="0"
     width="20" />
				<button
     follows="left|top"
     height="20"
     image_disabled="Object_Prism"
     image_disabled_selected="Object_Prism"
     image_selected="Object_Prism_Selected"
     image_unselected="Object_Prism"
     layout="topleft"
     left="10"
     name="ToolPrism"
     tool_tip="Prism"
     top_pad="5"
     width="20" />
				<button
     follows="left|top"
     height="20"
     image_disabled="Object_Hemi_Sphere"
     image_disabled_selected="Object_Hemi_Sphere"
     image_selected="Object_Hemi_Sphere_Selected"
     image_unselected="Object_Hemi_Sphere"
     layout="topleft"
     left_delta="27"
     name="ToolHemiSphere"
     tool_tip="Hemisphere"
     top_delta="0"
     width="20" />
				<button
     follows="left|top"
     height="20"
     image_disabled="Object_Hemi_Cylinder"
     image_disabled_selected="Object_Hemi_Cylinder"
     image_selected="Object_Hemi_Cylinder_Selected"
     image_unselected="Object_Hemi_Cylinder"
     layout="topleft"
     left_delta="27"
     name="ToolHemiCylinder"
     tool_tip="Hemicylinder"
     top_delta="0"
     width="20" />
				<button
     follows="left|top"
     height="20"
     image_disabled="Object_Tetrahedron"
     image_disabled_selected="Object_Tetrahedron"
     image_selected="Object_Tetrahedron_Selected"
     image_unselected="Object_Tetrahedron"
     layout="topleft"
     left_delta="29"
     name="ToolTetrahedron"
     tool_tip="Tetrahedron"
     top_delta="0"
     width="20" />
    <button
     follows="left|top"
     height="20"
     image_disabled="Object_Hemi_Cone"
     image_disabled_selected="Object_Hemi_Cone"
     image_selected="Object_Hemi_Cone_Selected"
     image_unselected="Object_Hemi_Cone"
     layout="topleft"
     left_delta="27"
     name="ToolHemiCone"
     tool_tip="Hemicone"
     top_delta="0"
     width="20" />
    <button
     follows="left|top"
     height="20"
     image_disabled="Object_Torus"
     image_disabled_selected="Object_Torus"
     image_selected="Object_Torus_Selected"
     image_unselected="Object_Torus"
     layout="topleft"
     left="10"
     name="ToolTorus"
     tool_tip="Torus"
     top_pad="5"
     width="20" />
    <button
     follows="left|top"
     height="20"
     image_disabled="Object_Ring"
     image_disabled_selected="Object_Ring"
     image_selected="Object_Ring_Selected"
     image_unselected="Object_Ring"
     layout="topleft"
     left_delta="27"
     name="ToolRing"
     tool_tip="Ring"
     top_delta="0"
     width="20" />
				<button
     follows="left|top"
     height="20"
     image_disabled="Object_Tube"
     image_disabled_selected="Object_Tube"
     image_selected="Object_Tube_Selected"
     image_unselected="Object_Tube"
     layout="topleft"
     left_delta="27"
     name="ToolTube"
     tool_tip="Tube"
     top_delta="0"
     width="20" />
    <button
     follows="left|top"
     height="20"
     image_disabled="Object_Tree"
     image_disabled_selected="Object_Tree"
     image_selected="Object_Tree_Selected"
     image_unselected="Object_Tree"
     layout="topleft"
     left_delta="27"
     name="ToolTree"
     tool_tip="Tree"
     top_delta="0"
     width="20" />
    <button
     follows="left|top"
     height="20"
     image_disabled="Object_Grass"
     image_disabled_selected="Object_Grass"
     image_selected="Object_Grass_Selected"
     image_unselected="Object_Grass"
     image_overlay_color="1 0 0 .75"
     image_overlay_selected_color="1 0 0 1"
     layout="topleft"
     left_delta="27"
     name="ToolGrass"
     tool_tip="Grass"
     top_delta="0"
     width="20" />
    <check_box
     control_name="CreateToolKeepSelected"
     height="16"
     label="Keep Tool selected"
     layout="topleft"
     left="143"
     name="checkbox sticky"
     top="27"
     width="128" />
    <check_box
     control_name="CreateToolCopySelection"
     height="16"
     label="Copy selection"
     layout="topleft"
     left_delta="0"
     name="checkbox copy selection"
     top_pad="0"
     width="134" />
    <check_box
     control_name="CreateToolCopyCenters"
     height="16"
     initial_value="true"
     label="Center Copy"
     layout="topleft"
     left_delta="0"
     name="checkbox copy centers"
     top_pad="0"
     width="134" />
    <check_box
     control_name="CreateToolCopyRotates"
     height="16"
     label="Rotate Copy"
     layout="topleft"
     left_delta="0"
     name="checkbox copy rotates"
     top_pad="0"
     width="134" />
    </panel>
    
    <panel
	 follows="left|top"
     height="130"
     layout="topleft"
     left="0"
     visible="true"
     mouse_opaque="false"
     name="land_panel"
     top="0"
     width="290">
    <radio_group
     height="103"
     layout="topleft"
     control_name="RadioLandBrushAction"
     left="8"
     name="land_radio_group"
     top="27"
     width="114">
        <radio_item
         height="19"
         label="Select Land"
         layout="topleft"
         left="0"
         value="0"
         name="radio select land"
         top="-106"
         width="134" />
        <radio_item
         height="19"
         label="Flatten"
         layout="topleft"
         left_delta="0"
         value="1"
         name="radio flatten"
         top_delta="15"
         width="114" />
        <radio_item
         height="19"
         label="Raise"
         layout="topleft"
         left_delta="0"
         value="2"
         name="radio raise"
         top_delta="15"
         width="114" />
        <radio_item
         height="19"
         label="Lower"
         layout="topleft"
         left_delta="0"
         value="3"
         name="radio lower"
         top_delta="15"
         width="114" />
        <radio_item
         height="19"
         label="Smooth"
         layout="topleft"
         left_delta="0"
         value="4"
         name="radio smooth"
         top_delta="15"
         width="114" />
        <radio_item
         height="19"
         label="Roughen"
         layout="topleft"
         left_delta="0"
         value="5"
         name="radio noise"
         top_delta="15"
         width="114" />
        <radio_item
         height="19"
         label="Revert"
         layout="topleft"
         left_delta="0"
         value="6"
         name="radio revert"
         top_delta="15"
         width="114" />
		 <radio_group.commit_callback
	     function="BuildTool.commitRadioLand"/>
    </radio_group>
    <text
     type="string"
     length="1"
     follows="left|top"
     height="14"
     layout="topleft"
     left="145"
     name="Bulldozer:"
     top="27"
     width="100">
        Bulldozer:
    </text>
    <text
     type="string"
     length="1"
     follows="left|top"
     height="14"
     layout="topleft"
     name="Dozer Size:"
     left="145"
     top_pad="1"
     width="68">
        Size
    </text>
    <slider_bar
	 control_name ="LandBrushSize"
     follows="left|top"
     height="15"
     initial_value="2.0"
     layout="topleft"
     max_val="11"
     min_val="1"
     left_pad="0"
     name="slider brush size"
     top_delta="-2"
     width="90" />
    <text
     type="string"
     length="1"
     follows="left|top"
     height="14"
     layout="topleft"
     name="Strength:"
     left="145"
     top_pad="1"
     width="68">
        Strength
    </text>
    <slider_bar
     follows="left|top"
     height="15"
     left_pad="0"
     initial_value="0.00"
     layout="topleft"
     max_val="2"
     min_val="-1"
     name="slider force"
     top_delta="-2"
     width="90" >
	  <slider_bar.commit_callback
	     function="BuildTool.LandBrushForce"/>
    </slider_bar>
    <button
     follows="left|top"
     height="20"
     label="Apply"
     label_selected="Apply"
     top_pad="5"
     layout="topleft"
     left="145"
     name="button apply to selection"
     tool_tip="Modify selected land"
     width="82">
	  <button.commit_callback
	     function="BuildTool.applyToSelection"/>
				</button>
    </panel>
    <view_border
    bevel_style="none"
    follows="top|left"
    height="0"
    layout="topleft"
    left="10"
    name="cost_text_border"
    top="132"
    width="286"/>
				<text
	  type="string"
	  length="1"
	  height="16"
	  follows="left|top"
	  font="SansSerifSmall"
	  layout="topleft"
	  left="10"
	  name="selection_empty"
	  top_pad="4"
	  width="285">
		Nothing selected.
	</text>
	<text
	  type="string"
	  length="1"
	  height="16"
	  follows="left|top"
	  font="SansSerifSmall"
	  layout="topleft"
	  left="10"
	  name="selection_count"
	  top_delta="0"
	  width="285">
	</text>
	<text
	  type="string"
	  length="1"
	  height="16"
	  follows="left|top"
	  font="SansSerifSmall"
	  layout="topleft"
	  left="10"
	  name="remaining_capacity"
	  top_pad="-3"
	  visible="true"
	  width="285">
	  [CAPACITY_STRING] [secondlife:///app/openfloater/object_weights More info]
	</text>
    <tab_container
     follows="left|top"
     height="413"
     halign="center"
     left="7"
     name="Object Info Tabs"
     tab_max_width="57"
     tab_min_width="40"
     tab_position="top"
     tab_height="21"
     open_tabs_on_drag_and_drop="true"
     top="168"
     width="291">
	
<panel
  bg_alpha_image="Panel_Background"
  background_visible="true"
	 border="false"
	 follows="all"
	 label="General"
	 layout="topleft"
	 mouse_opaque="false"
	 help_topic="toolbox_general_tab"
	 name="General"
	 top="16"
	 width="295">
	 <panel.string
	  name="text deed continued">
		Deed
	 </panel.string>
	<panel.string
	 name="text deed">
		Deed
	</panel.string>
            <panel.string
             name="text modify info 1">
                You can modify this object
            </panel.string>
            <panel.string
             name="text modify info 2">
                You can modify these objects
            </panel.string>
            <panel.string
             name="text modify info 3">
                You can't modify this object
            </panel.string>
            <panel.string
             name="text modify info 4">
                You can't modify these objects
            </panel.string>
            <panel.string
             name="text modify info 5">
                You can't modify this object across a region boundary
            </panel.string>
            <panel.string
             name="text modify info 6">
                You can't modify these objects across a region boundary
            </panel.string>
            <panel.string
             name="text modify warning">
                You must select entire object to set permissions
            </panel.string>
            <panel.string
             name="Cost Default">
                Price: L$
            </panel.string>
            <panel.string
             name="Cost Total">
                Total Price: L$
            </panel.string>
            <panel.string
             name="Cost Per Unit">
                Price Per: L$
            </panel.string>
            <panel.string
             name="Cost Mixed">
                Mixed Price
            </panel.string>
            <panel.string
             name="Sale Mixed">
                Mixed Sale
            </panel.string>
            <text
             follows="left|top"
             height="10"
             left="5"
             name="Name:"
             top="5"
             width="90">
                Name:
            </text>
            <line_editor
             follows="left|top|right"
             height="19"
             left_pad="0"
             max_length_bytes="63"
             name="Object Name"
             select_on_focus="true"
             top_delta="0"
             width="196" />
            <text
             follows="left|top"
             height="10"
             left="5"
             name="Description:"
             top_pad="3"
             width="90">
                Description:
            </text>
            <line_editor
             follows="left|top|right"
             height="19"
             left_pad="0"
             max_length_bytes="127"
             name="Object Description"
             select_on_focus="true"
             top_delta="0"
             width="196" />
            <text
             type="string"
             left="5"
             length="1"
             follows="left|top"
             height="29"
             layout="topleft"
             name="Creator:"
             top_pad="3"
             width="90">
                Creator:
            </text>
            <text
             type="string"
             length="1"
             follows="left|top"
             left_pad="0"
             height="29"
             layout="topleft"
             name="Creator Name"
             top_delta="0"
             translate="false"
             width="195"
             word_wrap="true"
             use_ellipses="true">
                TestString PleaseIgnore (please.ignore)
            </text>
            <text
             type="string"
             length="1"
             left="5"
             follows="left|top"
             height="29"
             layout="topleft"
             name="Owner:"
             top_pad="3"
             width="90">
                Owner:
            </text>
            <text
             type="string"
             length="1"
             follows="left|top"
             height="29"
             layout="topleft"
             name="Owner Name"
             left_pad="0"
             top_delta="0"
             translate="false"
             width="195"
             word_wrap="true"
             use_ellipses="true">
                TestString PleaseIgnore (please.ignore)
            </text>
           <text
             type="string"
             length="1"
             follows="left|top"
             layout="topleft"
             left="5"
             height="18"
             name="Group:"
             top_pad="3"
             width="90">
                Group:
            </text>
            <name_box
             follows="left|top"
             height="18"
             initial_value="Loading..."
             layout="topleft"
             left_pad="0"
             name="Group Name Proxy"
             width="195" />
			<text
			follows="left|top"
			height="18"
			word_wrap="true"
			visible="false"
			layout="topleft"
			parse_urls="true"
			top_delta="0"
			left_delta="0"
			name="Group Name Label"
			width="195" />
            <button
			 follows="top|left"
			 height="21"
			 image_overlay="Edit_Wrench"
			 image_overlay_alignment="left"
			 imgoverlay_label_space="7"
			 layout="topleft"
			 label="Change Group"
    image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
			 halign="left"
			 left="5"
			 name="button set group"
			 tab_stop="false"
			 tool_tip="Choose a group to share this object's permissions"
			 top_pad="3"
			 width="110" />
			<button
             follows="top|left"
             height="21"
             label="Deed"
             label_selected="Deeded"
             image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
			 image_overlay="Conv_toolbar_expand"
			 image_overlay_alignment="left"
			 imgoverlay_label_space="3"
			 halign="left"
             layout="topleft"
             name="button deed"
             left_pad="1"
             top_delta="0"
             tool_tip="Deeding gives this item away with next owner permissions. Group shared objects can be deeded by a group officer."
             width="100" />
            <check_box
             height="17"
             follows="left|top"
             label="Share"
             layout="topleft"
             name="checkbox share with group"
             tool_tip="Allow all members of the set group to share your modify permissions for this object. You must Deed to enable role restrictions."
             top_delta="0"
             left_pad="1"
             width="87" />
			<view_border
			bevel_style="none"
			follows="top|left"
			height="0"
			layout="topleft"
			left="5"
			name="cost_text_border"
			top_pad="5"
			width="280"/>
            <text
             type="string"
             length="1"
             follows="left|top"
             height="16"
             layout="topleft"
             top_pad="14"
             left="5"
             name="label click action"
             width="80">
                Click to:
            </text>
            <combo_box
             follows="left|top"
             height="21"
             layout="topleft"
             name="clickaction"
             width="190"
             left_pad="10">
                <combo_box.item
                 label="Touch  (default)"
                 name="Touch/grab(default)"
                 value="Touch" />
                <combo_box.item
                 label="Sit on object"
                 name="Sitonobject"
                 value="Sit" />
                <combo_box.item
                 label="Buy object"
                 name="Buyobject"
                 value="Buy" />
                <combo_box.item
                 label="Pay object"
                 name="Payobject"
                 value="Pay" />
                <combo_box.item
                 label="Open"
                 name="Open"
                 value="Open" />
                <combo_box.item
                 label="Zoom"
                 name="Zoom"
                 value="Zoom" />
                <combo_box.item
                 label="None"
                 name="None"
                 value="None" />
                <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_pressed="ToolbarDropDown_Press" 
            image_pressed_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            </combo_box>
            <check_box
             height="20"
             label="For Sale:"
             layout="topleft"
             name="checkbox for sale"
             left="5"
			 top_pad="0"
             width="90" />
  <spinner
      follows="left|top"
      decimal_digits="0"
      increment="1"
      left_pad="-2"
      control_name="Edit Cost"
      name="Edit Cost"
      label_width="0"
      valign="center"
      width="86"
      top_delta="2"
      min_val="0"
      height="20"
      max_val="999999999" />
      <combo_box
            left_pad="2"
            layout="topleft"
            follows="left|top"
            allow_text_entry="false"
            height="21"
            top_pad="-19"
            initial_value="2"
            max_chars="20"
            mouse_opaque="true"
            name="sale type"
            width="104">
        <combo_box.item
           name="Copy"
           label="Copy"
           value="2" />
        <combo_box.item
           name="Contents"
           label="Contents"
           value="3" />
        <combo_box.item
           name="Original"
           label="Original"
           value="1" />
        <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_pressed="ToolbarDropDown_Press" 
            image_pressed_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
      </combo_box>
      <check_box
	   height="16"
	   width="110"
	   top_pad="2"
	   label="Show this object in search"
       layout="topleft"
	   left="5"
       name="search_check"
       tool_tip="Let people see this object in search results" />
	  <view_border
			bevel_style="none"
			follows="top|left"
			height="0"
			layout="topleft"
			left="5"
			name="cost_text_border"
			top_pad="3"
			width="280"/>
		<panel
         border="false"
         follows="left|top"
         layout="topleft"
         mouse_opaque="false"
         background_visible="false"
         name="perms_build"
         left="0"
         top_pad="10"
         height="97"
         width="290">
            <text
             type="string"
             length="1"
             left="5"
             word_wrap="true"
             top_pad="1"
             text_color="HTMLLinkColor"
             height="26"
             follows="left|top|right"
             layout="topleft"
             name="perm_modify"
             width="285">
                You can't modify these objects across a region boundary
            </text>
			<text
               type="string"
               follows="left|top"
               height="14"
               name="Next owner can:"
               width="250"
			   top_pad="4"
               left="5">
                  Next owner:
            </text>
            <check_box
             follows="left|top|right"
             label="Modify"
             layout="topleft"
             left_delta="0"
			 top_pad="4"
             height="16"
             name="checkbox next owner can modify"
             width="100" />
            <check_box
             follows="left|top|right"
             height="16"
             label="Copy"
             layout="topleft"
             left_delta="0"
			 top_pad="0"
             name="checkbox next owner can copy"
             width="100" />
            <check_box
             follows="left|top|right"
             height="16"
             label="Transfer"
             layout="topleft"
             name="checkbox next owner can transfer"
             left_delta="0"
             top_pad="0"
             tool_tip="Next owner can give away or resell this object"
             width="100" />
            <text
               type="string"
               follows="left|top"
               name="Anyone can:"
			   height="14"
               width="100"
			   top_pad="-66"
               left_pad="40">
                 Anyone:
            </text>
            <check_box
             height="16"
             label="Move"
             layout="topleft"
             name="checkbox allow everyone move"
             left_delta="0"
			 top_pad="4"
             width="100" />
            <check_box
             height="16"
             label="Copy"
             layout="topleft"
             left_delta="0"
			 top_pad="0"
             name="checkbox allow everyone copy"
             width="100" />
            <text
             type="string"
             text_color="HTMLLinkColor"
             length="1"
             top="23"
             follows="left|top"
             layout="topleft"
             left="230"
             name="B:"
			 visible="false"
             height="10"
             width="80">
                B:
            </text>
            <text
             type="string"
             length="1"
             follows="left|top"
             layout="topleft"
             left_delta="0"
             top_pad="2"
             name="O:"
			 visible="false"
             height="10"
             width="80">
                O:
            </text>
            <text
             type="string"
             text_color="HTMLLinkColor"
             length="1"
             follows="left|top"
             layout="topleft"
             left_delta="0"
             top_pad="2"
             name="G:"
			 visible="false"
             height="10"
             width="80">
                G:
            </text>
            <text
             type="string"
             length="1"
             follows="left|top"
             left_delta="0"
             top_pad="2"
             layout="topleft"
             name="E:"
			 visible="false"
             height="10"
             width="80">
                E:
            </text>
            <text
             type="string"
             text_color="HTMLLinkColor"
             length="1"
             follows="left|top"
             layout="topleft"
             left_delta="0"
             top_pad="2"
             name="N:"
			 visible="false"
             height="10"
             width="80">
                N:
            </text>
            <text
             type="string"
             length="1"
             follows="left|top"
             layout="topleft"
             left_delta="0"
             top_pad="2"
             name="F:"
			 visible="false"
             height="10"
             width="80">
                F:
            </text>
        </panel>
		<view_border
			bevel_style="none"
			follows="top|left"
			height="0"
			layout="topleft"
			left="5"
			name="cost_text_border"
			top_pad="3"
			width="280"/>
		<panel
         border="false"
         follows="left|top"
         layout="topleft"
         mouse_opaque="false"
         name="pathfinding_attrs_panel"
         left="0"
         top_pad="12"
         height="25"
         width="290">
      <text
         type="string"
		 height="14"
         follows="left|top"
         name="pathfinding_attributes_label"
         top_pad="0"
         width="150"
         left="5">
        Pathfinding attributes:
      </text>
      <text
         type="string"
         follows="left|top"
         text_color="HTMLLinkColor"
         name="pathfinding_attributes_value"
         width="130"
         word_wrap="false"
		 top_pad="0"
		 height="14"
         left_delta="0">
	   Physical
      </text>
    </panel>
</panel>
      <panel
         border="false"
         bg_alpha_image="Panel_Background"
         background_visible="true"
         follows="all"
         height="567"
         label="Object"
         layout="topleft"
         left_delta="0"
         mouse_opaque="false"
         help_topic="toolbox_object_tab"
         name="Object"
         top="16"
         width="290">
	   <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="5"
             name="label basetype"
             top="5"
             width="80">
                Prim Type
            </text>
            <combo_box
             height="21"
             layout="topleft"
			 follows="top|left"
             name="comboBaseType"
             top_pad="3"
             left="5"
             width="90">
                <combo_box.item
                 label="Box"
                 name="Box"
                 value="Box" />
                <combo_box.item
                 label="Cylinder"
                 name="Cylinder"
                 value="Cylinder" />
                <combo_box.item
                 label="Prism"
                 name="Prism"
                 value="Prism" />
                <combo_box.item
                 label="Sphere"
                 name="Sphere"
                 value="Sphere" />
                <combo_box.item
                 label="Torus"
                 name="Torus"
                 value="Torus" />
                <combo_box.item
                 label="Tube"
                 name="Tube"
                 value="Tube" />
                <combo_box.item
                 label="Ring"
                 name="Ring"
                 value="Ring" />
                <combo_box.item
                 label="Sculpted"
                 name="Sculpted"
                 value="Sculpted" />
                <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_pressed="ToolbarDropDown_Press" 
            image_pressed_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            </combo_box>
            <check_box
             height="16"
             label="Locked"
             layout="topleft"
             name="checkbox locked"
             tool_tip="Prevents object from being moved or deleted. Frequently useful during building to avoid unintended edits."
             top_pad="6"
             left="5"
             width="123" />
            <check_box
             height="16"
             label="Physical"
             layout="topleft"
             name="Physical Checkbox Ctrl"
             tool_tip="Allows object to be pushed and affected by gravity"
             top_pad="0"
             width="123" />
            <check_box
             height="16"
             label="Temporary"
             layout="topleft"
			 left="5"
             name="Temporary Checkbox Ctrl"
             tool_tip="Causes object to be deleted 1 minute after creation"
             top_pad="0"
             width="123" />
            <check_box
             height="16"
             label="Phantom"
             layout="topleft"
             name="Phantom Checkbox Ctrl"
             tool_tip="Causes object to not collide with other objects or avatars"
             top_pad="0"
             width="123" />
        <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             name="label position"
             left="5"
             top_pad="5"
             width="121">
                Position (meters)
            </text>
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="X"
             label_width="10"
             layout="topleft"
             left_delta="1"
             max_val="256"
             min_val="-3.5"
             name="Pos X"
             top_pad="3"
             width="87" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="Y"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="256"
             min_val="-3.5"
             name="Pos Y"
             top_pad="3"
             width="87" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="Z"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="4096"
             min_val="-3.5"
             name="Pos Z"
             top_pad="3"
             width="87" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_delta="-1"
             name="label size"
             top_pad="5"
             width="121">
                Size (meters)
            </text>
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="X"
             label_width="10"
             layout="topleft"
             left_delta="1"
             max_val="64"
             min_val="0.01"
             name="Scale X"
             text_enabled_color="1 1 1 1"
             top_pad="3"
             width="87" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="Y"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="64"
             min_val="0.01"
             name="Scale Y"
             text_enabled_color="1 1 1 1"
             top_pad="3"
             width="87" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="Z"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="64"
             min_val="0.01"
             name="Scale Z"
             text_enabled_color="1 1 1 1"
             top_pad="3"
             width="87" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_delta="-1"
             name="label rotation"
             top_pad="5"
             width="121">
                Rotation (degrees)
            </text>
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="1"
             initial_value="0"
             label="X"
             label_width="10"
             layout="topleft"
             left_delta="1"
             max_val="9999"
             min_val="-9999"
             name="Rot X"
             text_enabled_color="1 1 1 1"
             top_pad="3"
             width="87" />
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="1"
             initial_value="0"
             label="Y"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="9999"
             min_val="-9999"
             name="Rot Y"
             text_enabled_color="1 1 1 1"
             top_pad="3"
             width="87" />
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="1"
             initial_value="0"
             label="Z"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="9999"
             min_val="-9999"
             name="Rot Z"
             text_enabled_color="1 1 1 1"
             top_pad="3"
             width="87" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="120"
             name="text cut"
             top="5"
             width="150">
                Path Cut (begin/end)
            </text>
            <spinner
             follows="left|top"
             height="20"
             increment="0.025"
             initial_value="0"
             label="B"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="0.98"
             name="cut begin"
             top_pad="3"
             width="77" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.025"
             initial_value="1"
             label="E"
             label_width="10"
             layout="topleft"
             left_pad="12"
             min_val="0.02"
             name="cut end"
             top_delta="0"
             width="76" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="120"
             name="text hollow"
             top_pad="5"
             width="77">
                Hollow
            </text>
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_pad="12"
             name="text skew"
             width="76">
                Skew
            </text>
            <spinner
             decimal_digits="1"
             follows="left|top"
             height="20"
             increment="5"
             initial_value="0"
			 label="H"
             label_width="10"
             layout="topleft"
             left="120"
             max_val="95"
             name="Scale 1"
             top_pad="3"
             width="77" />
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="0.05"
             initial_value="0"
			 label="S"
             label_width="10"
             layout="topleft"
             left_pad="12"
             max_val="0.95"
             min_val="-0.95"
             name="Skew"
             top_delta="0"
             width="76" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="120"
             name="Hollow Shape"
             top_pad="5"
             width="150">
                Hollow Shape
            </text>
            <combo_box
             height="21"
             layout="topleft"
			 follows="top|left"
             left_delta="0"
             name="hole"
             top_pad="3"
             width="165">
                <combo_box.item
                 label="Default"
                 name="Default"
                 value="Default" />
                <combo_box.item
                 label="Circle"
                 name="Circle"
                 value="Circle" />
                <combo_box.item
                 label="Square"
                 name="Square"
                 value="Square" />
                <combo_box.item
                 label="Triangle"
                 name="Triangle"
                 value="Triangle" />
                <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_pressed="ToolbarDropDown_Press" 
            image_pressed_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            </combo_box>
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_delta="0"
             name="text twist"
             top_pad="4"
             width="150">
                Twist (begin/end)
            </text>
            <spinner
             decimal_digits="0"
             follows="left|top"
             height="20"
             increment="9"
             initial_value="0"
             label="B"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="180"
             min_val="-180"
             name="Twist Begin"
             top_pad="3"
             width="77" />
            <spinner
             decimal_digits="0"
             follows="left|top"
             height="20"
             increment="9"
             initial_value="0"
             label="E"
             label_width="10"
             layout="topleft"
             left_pad="12"
             max_val="180"
             min_val="-180"
             name="Twist End"
             top_delta="0"
             width="76" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="120"
             name="scale_taper"
             top_pad="5"
             width="150">
                Taper
            </text>
            <text
			 visible="false"
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_delta="0"
             name="scale_hole"
             top_delta="0"
             width="150">
                Hole Size
            </text>
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="0.05"
             initial_value="0"
             label="X"
             label_width="10"
             layout="topleft"
             left_delta="0"
             min_val="-1"
             name="Taper Scale X"
             top_pad="3"
             width="77" />
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="0.05"
             initial_value="0"
             label="Y"
             label_width="10"
             layout="topleft"
             left_pad="12"
             min_val="-1"
             name="Taper Scale Y"
             top_delta="0"
             width="76" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="120"
             name="text topshear"
             top_pad="5"
             width="141">
                Top Shear
            </text>
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="0.05"
             initial_value="0"
             label="X"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="0.5"
             min_val="-0.5"
             name="Shear X"
             top_pad="3"
             width="77" />
            <spinner
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="0.05"
             initial_value="0"
             label="Y"
             label_width="10"
             layout="topleft"
             left_pad="12"
             max_val="0.5"
             min_val="-0.5"
             name="Shear Y"
             top_delta="0"
             width="76" />
            <text
			 visible="true"
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="120"
             name="advanced_cut"
             top_pad="5"
             width="150">
                Profile Cut (begin/end)
            </text>
            <text
			 visible="false"
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_delta="0"
             name="advanced_dimple"
             top_delta="0"
             width="150">
                Dimple (begin/end)
            </text>
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_delta="0"
             name="advanced_slice"
             top_delta="0"
             width="150">
                Slice (begin/end)
            </text>
            <spinner
             follows="left|top"
             height="20"
             increment="0.02"
             initial_value="0"
             label="B"
             label_width="10"
             layout="topleft"
             left_delta="0"
             max_val="0.98"
             name="Path Limit Begin"
             top_pad="3"
             width="77" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.02"
             initial_value="1"
             label="E"
             label_width="10"
             layout="topleft"
             left_pad="12"
             min_val="0.02"
             name="Path Limit End"
             top_delta="0"
             width="76" />
            <text
			 visible="true"
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="120"
             name="text taper2"
             top_pad="5"
             width="150">
                Taper
            </text>
            <spinner
			 visible="true"
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="0.05"
             initial_value="0"
             label="X"
             label_width="10"
             layout="topleft"
             left_delta="0"
             min_val="-1"
             name="Taper X"
             top_pad="3"
             width="77" />
            <spinner
			 visible="true"
             decimal_digits="2"
             follows="left|top"
             height="20"
             increment="0.05"
             initial_value="0"
             label="Y"
             label_width="10"
             layout="topleft"
             left_pad="12"
             min_val="-1"
             name="Taper Y"
             top_delta="0"
             width="76" />
            <text
			 visible="true"
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left="120"
             name="text radius delta"
             top_pad="5"
             width="77">
                Radius
            </text>
            <text
			 visible="true"
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_pad="12"
             name="text revolutions"
             width="80">
                Revolutions
            </text>
            <spinner
			 visible="true"
             follows="left|top"
             height="20"
             increment="0.05"
             initial_value="0"
			 label="R"
             label_width="10"
             layout="topleft"
             left="120"
             min_val="-1"
             name="Radius Offset"
             top_pad="3"
             width="77" />
            <spinner
			 visible="true"
             decimal_digits="2"
             follows="left|top"
             height="20"
             initial_value="1"
			 label="R"
             label_width="10"
             layout="topleft"
             left_pad="12"
             max_val="4"
             min_val="1"
             name="Revolutions"
             top_delta="0"
             width="76" />
			<text
			 visible="false"
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
			 left="125"
             top="5"
             name="text sculpt texture"
             width="76">
                Sculpt Texture
            </text>
            <texture_picker
             can_apply_immediately="true"
             default_image_name="Default"
             follows="left|top"
             height="100"
             layout="topleft"
             left="125"
             name="sculpt texture control"
             tool_tip="Click to choose a picture"
             top_pad="2"
             visible="false"
             width="78" />
            <check_box
             height="16"
             label="Mirror"
             layout="topleft"
			 follows="top|left"
             left_pad="5"
             name="sculpt mirror control"
             tool_tip="Flips sculpted prim along the X axis"
             top_delta="0"
             visible="false"
             width="130" />
            <check_box
             height="16"
             label="Inside-out"
			 follows="top|left"
             layout="topleft"
             left_delta="0"
             name="sculpt invert control"
             tool_tip="Inverts the sculpted prims normals, making it appear inside-out"
             top_pad="0"
             visible="false"
             width="121" />
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_delta="0"
             name="label sculpt type"
             top_pad="3"
             visible="false"
             width="130">
                Stitching type
            </text>
            <combo_box
             height="19"
             layout="topleft"
             left_delta="0"
             name="sculpt type control"
             top_pad="3"
             visible="false"
             width="79">
                <combo_box.item
                 label="Sphere"
                 name="Sphere"
                 value="1" />
                <combo_box.item
                 label="Torus"
                 name="Torus"
                 value="2" />
                <combo_box.item
                 label="Plane"
                 name="Plane"
                 value="3" />
                <combo_box.item
                 label="Cylinder"
                 name="Cylinder"
                 value="4" />
              </combo_box>
        </panel>
        <panel
         border="false"
         follows="all"
         height="367"
         label="Features"
         layout="topleft"
         left_delta="0"
         mouse_opaque="false"
         bg_alpha_image="Panel_Background"
         background_visible="true"
         help_topic="toolbox_features_tab"
         name="Features"
         top_delta="0"
         width="290">
	<panel.string name="None">None</panel.string>
	<panel.string name="Prim">Prim</panel.string>
	<panel.string name="Convex Hull">Convex Hull</panel.string>
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
			 text_color="HTMLLinkColor"
             left="5"
             name="select_single"
             top="5"
             width="280"
             word_wrap="true">
             Select only one primitive to edit features.
            </text>
            <text
             type="string"
             length="1"
             follows="left|top"
             height="14"
             layout="topleft"
             left_delta="0"
             name="edit_object"
             top_delta="0"
             width="280">
                Edit object features:
			</text>
			<text
             type="string"
             length="1"
             follows="left|top"
             height="14"
			 left="5"
             layout="topleft"
             name="label materialtype"
             top_pad="5"
             width="150">
                Physics Material:
            </text>
            <combo_box
             height="21"
             layout="topleft"
			 follows="top|left"
             name="material"
             top_pad="3"
			 left_delta="0"
             width="135">
                <combo_box.item
                 label="Stone"
                 name="Stone"
                 value="Stone" />
                <combo_box.item
                 label="Metal"
                 name="Metal"
                 value="Metal" />
                <combo_box.item
                 label="Glass"
                 name="Glass"
                 value="Glass" />
                <combo_box.item
                 label="Wood"
                 name="Wood"
                 value="Wood" />
                <combo_box.item
                 label="Flesh"
                 name="Flesh"
                 value="Flesh" />
                <combo_box.item
                 label="Plastic"
                 name="Plastic"
                 value="Plastic" />
                <combo_box.item
                 label="Rubber"
                 name="Rubber"
                 value="Rubber" />
                <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_pressed="ToolbarDropDown_Press" 
            image_pressed_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            </combo_box>
			<text
             type="string"
             length="1"
             follows="left|top"
             height="14"
			 left="150"
             layout="topleft"
             name="label physicsshapetype"
             top_pad="-38"
             width="150">
                Physics Shape Type:
            </text>
			<combo_box
			   height="21"
			   top_pad="3"
			   left_delta="0"
			   layout="topleft"
			   follows="left|top"
			   name="Physics Shape Type Combo Ctrl"
			   tool_tip="Choose the physics shape type"
			   width="135">
    <combo_box.combo_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
            <combo_box.drop_down_button
            image_unselected="ToolbarDropDown_Off"
            image_selected="ToolbarDropDown_Press"
            image_pressed="ToolbarDropDown_Press" 
            image_pressed_selected="ToolbarDropDown_Press"
            image_disabled="ToolbarDropDown_Off" />
   </combo_box>

            <spinner
             follows="left|top"
             height="20"
             increment="1"
             initial_value="1"
             label="Gravity"
             label_width="70"
             layout="topleft"
			 left="5"
             min_val="-1"
             max_val="28"
             name="Physics Gravity"
             top_pad="4"
             width="135" />

            <spinner
             follows="left|top"
             height="20"
             increment="0.1"
             initial_value="0"
             label="Friction"
             label_width="70"
             layout="topleft"
             left_delta="0"
             max_val="255"
             min_val="0"
             name="Physics Friction"
             top_pad="3"
             width="135" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="Restitution"
             label_width="70"
             layout="topleft"
             left="150"
             max_val="1"
             min_val="0"
             name="Physics Restitution"
             top_pad="-43"
             width="135" />
			<spinner
             follows="left|top"
             height="20"
             increment="0.1"
             initial_value="0"
             label="Density"
             label_width="70"
             label_wrap="true"
             layout="topleft"
             left_delta="0"
             max_val="22587"
             min_val="1"
             name="Physics Density"
             top_pad="3"
             width="135" />
			<text
             type="string"
             length="1"
             follows="left|top"
             height="10"
			 left="150"
             layout="topleft"
			 text_readonly_color="LabelDisabledColor"
             name="label density"
             top_delta="13"
             width="150">
                (100 kg/m^3)
            </text>

			 <view_border
			bevel_style="none"
			follows="top|left"
			height="0"
			layout="topleft"
			left="5"
			name="cost_text_border"
			top_pad="5"
			width="280"/>
            <check_box
             height="16"
             label="Flexible Path"
             layout="topleft"
             left="5"
             name="Flexible1D Checkbox Ctrl"
             tool_tip="Allows object to flex about the Z axis (Client-side only)"
             top_pad="12"
             width="121" />
            <check_box
             height="16"
             label="Animated Mesh"
             layout="topleft"
             left="150"
             name="Animated Mesh Checkbox Ctrl"
             tool_tip="Allows rigged mesh objects to be animated independently"
             top_delta="0"
             width="121" />
            <spinner
             follows="left|top"
             height="20"
             increment="1"
             initial_value="2"
             label="Softness"
             label_width="70"
             layout="topleft"
             left="5"
             max_val="3"
             name="FlexNumSections"
             top_pad="5"
             width="135" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.5"
             initial_value="0.3"
             label="Gravity"
             label_width="70"
             layout="topleft"
             left_delta="0"
             max_val="10"
             min_val="-10"
             name="FlexGravity"
             top_pad="3"
             width="135" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.5"
             initial_value="2"
             label="Drag"
             label_width="70"
             layout="topleft"
             left_delta="0"
             max_val="10"
             name="FlexFriction"
             top_pad="3"
             width="135" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.5"
             initial_value="0"
             label="Wind"
             label_width="70"
             layout="topleft"
             left_delta="0"
             max_val="10"
             name="FlexWind"
             top_pad="3"
             width="135" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.5"
             initial_value="1"
             label="Tension"
             label_width="70"
             layout="topleft"
             left="150"
             max_val="10"
             name="FlexTension"
             top_pad="-89"
             width="135" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="Force X"
             label_width="70"
             layout="topleft"
             left_delta="0"
             max_val="10"
             min_val="-10"
             name="FlexForceX"
             top_pad="3"
             width="135" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="Force Y"
             label_width="70"
             layout="topleft"
             left_delta="0"
             max_val="10"
             min_val="-10"
             name="FlexForceY"
             top_pad="3"
             width="135" />
            <spinner
             follows="left|top"
             height="20"
             increment="0.01"
             initial_value="0"
             label="Force Z"
             label_width="70"
             layout="topleft"
             left_delta="0"
             max_val="10"
             min_val="-10"
             name="FlexForceZ"
             top_pad="3"
             width="135" />
			
			<view_border
			bevel_style="none"
			follows="top|left"
			height="0"
			layout="topleft"
			left="5"
			name="cost_text_border"
			top_pad="5"
			width="280"/>
            <check_box
             height="16"
             label="Light"
             layout="topleft"
             left="5"
             name="Light Checkbox Ctrl"
             tool_tip="Causes object to emit light"
             top_pad="12"
             width="60" />
												<check_box
             height="16"
             label="Shadow"
             layout="topleft"
             left="150"
             name="Shadow Checkbox Ctrl"
             tool_tip="Causes object to emit light"
             top_delta="0"
             width="60" />
          <spinner
             follows="left|top"
             height="20"
             initial_value="0.5"
             label="Intensity"
             label_width="70"
             layout="topleft"
             left="5"
             name="Light Intensity"
             top_pad="5"
             width="135" />
          <spinner bottom_delta="0"
                   decimal_digits="3"
                   follows="left|top"
                   height="20"
                   increment="0.1"
                   initial_value="0.5"
                   label="FOV"
                   label_width="70"
                   left="150"
                   max_val="3"
                   min_val="0"
                   mouse_opaque="true"
                   name="Light FOV"
                   width="135" />
          <spinner follows="left|top"
                   height="20"
                   initial_value="5"
                   label="Radius"
                   label_width="70"
                   layout="topleft"
                   left="5"
                   max_val="20"
                   name="Light Radius"
                   top_pad="3"
                   width="135" />
          <spinner top_delta="0"
                   decimal_digits="3"
                   follows="left|top"
                   height="20"
                   increment="0.5"
                   initial_value="0.5"
                   label="Focus"
                   label_width="70"
                   left="150"
                   max_val="20"
                   min_val="-20"
                   mouse_opaque="true"
                   name="Light Focus"
                   width="135" />
          <spinner follows="left|top"
                   height="20"
                   increment="0.25"
                   initial_value="1"
                   label="Falloff"
                   label_width="70"
                   layout="topleft"
                   left="5"
                   max_val="2"
                   name="Light Falloff"
                   top_pad="3"
                   width="135" />
          <spinner top_delta="0"
                   decimal_digits="3"
                   follows="left|top"
				   layout="topleft"
                   height="20"
                   increment="0.05"
                   initial_value="1"
                   label="Ambiance"
                   label_width="70"
                   left="150"
                   max_val="1"
                   min_val="0"
                   mouse_opaque="true"
                   name="Light Ambiance"
                   width="135" />
		  <text
             type="string"
             length="1"
             follows="left|top"
             height="45"
			 left="5"
             layout="topleft"
			 text_readonly_color="LabelDisabledColor"
             name="label lights"
             top_pad="6"
             width="170">
                ( Selecting a texture will turn
the light into a projected light )
            </text>
		  <texture_picker
            allow_no_texture="true"
            top_delta="0"
            can_apply_immediately="true"
            default_image_name="Default"
            follows="left|top"
            height="60"
            label=""
            left="198"
            mouse_opaque="true"
            name="light texture control"
            tool_tip="Click to choose a projection image (only has effect with deferred rendering enabled)"
            width="40" />
            <color_swatch
             can_apply_immediately="true"
													allow_alpha="false"
             color="0.5 0.5 0.5 1"
	     border.border_thickness="0"
             follows="left|top"
             height="60"
             layout="topleft"
             left_pad="7"
             top_delta="0"
             name="colorswatch"
             tool_tip="Click to open color picker"
             width="40" />
        </panel>
         <panel
         label="Texture"
         bg_alpha_image="Panel_Background"
         background_visible="true"
         help_topic="toolbox_texture_tab"
         name="Texture"
         filename="panel_tools_texture.xml">
	   </panel>
       <panel
         border="false"
         follows="all"
		 height="367"
         label="Content"
         bg_alpha_image="Panel_Background"
         background_visible="true"
         layout="topleft"
         left_delta="0"
         mouse_opaque="false"
         help_topic="toolbox_contents_tab"
         name="Contents"
         top_delta="0"
         width="290">
            <panel_inventory_object
             border="true"
             border_visible="true"
             bevel_style="in"
             follows="left|top|right"
             height="354"
             layout="topleft"
             left="6"
             name="contents_inventory"
             top_pad="3"
             width="278" />
            <button
             follows="left|top"
             height="25"
             label="New Script"
             label_selected="New Script"
             image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
             layout="topleft"
             left="5"
             name="button new script"
             top_pad="5"
             width="140" />
            <button
             follows="left|top"
             height="25"
             label="Permissions"
             image_hover_unselected="Toolbar_Middle_Over"
      image_selected="Toolbar_Middle_Selected"
      image_unselected="Toolbar_Middle_Off"
             layout="topleft"
             left_pad="1"
             name="button permissions"
             width="139" />
		</panel>
	</tab_container>
	<panel
	 follows="left|top"
     height="367"
     layout="topleft"
     left="6"
     visible="false"
     name="land info panel"
     top_delta="0"
     width="290">
    <text
         type="string"
         length="1"
         font="SansSerifBig"
         follows="left|top"
         height="19"
         layout="topleft"
         left="4"
         name="label_parcel_info"
         top="24"
         width="240">
            Parcel Information
        </text>
        <text
         type="string"
         length="1"
         follows="left|top"
         height="19"
         layout="topleft"
         left="5"
         name="label_area_price"
         top_pad="3"
         width="150">
            Price: L$[PRICE] for [AREA] m²
        </text>
        <text
         type="string"
         length="1"
         follows="left|top"
         height="19"
         layout="topleft"
         left_delta="0"
         name="label_area"
         top_delta="0"
         width="150">
            Area: [AREA] m²
        </text>
        <button
         follows="left|top"
         height="23"
         label="About Land"
         label_selected="About Land"
         layout="topleft"
         left_delta="0"
         name="button about land"
         top_pad="2"
         width="125" />
        <check_box
         control_name="ShowParcelOwners"
         height="19"
         label="Show owners"
         layout="topleft"
         left_delta="0"
         name="checkbox show owners"
         tool_tip="Colorize the parcels according to the type of owner: &#10;&#10;Green = Your land &#10;Aqua = Your group&apos;s land &#10;Red = Owned by others &#10;Yellow = For sale &#10;Purple = For auction &#10;Grey = Public"
         top_pad="5"
         width="205" />
        <text
         type="string"
         length="1"
         font="SansSerifBig"
         follows="left|top"
         height="19"
         layout="topleft"
         left="4"
         name="label_parcel_modify"
         top_pad="30"
         width="240">
            Modify Parcel
        </text>
        <button
         follows="left|top"
         height="23"
         label="Subdivide"
         label_selected="Subdivide"
         layout="topleft"
         left="5"
         name="button subdivide land"
         top_pad="3"
         width="125" />
        <button
         follows="left|top"
         height="23"
         label="Join"
         label_selected="Join"
         layout="topleft"
         left_delta="0"
         name="button join land"
         top_pad="4"
         width="125" />
        <text
         type="string"
         length="1"
         font="SansSerifBig"
         follows="left|top"
         height="19"
         layout="topleft"
         left="4"
         name="label_parcel_trans"
         top_pad="30"
         width="240">
            Land Transactions
        </text>
        <button
         follows="left|top"
         height="23"
         label="Buy Land"
         label_selected="Buy Land"
         layout="topleft"
         left="5"
         name="button buy land"
         top_pad="3"
         width="125" />
        <button
         follows="left|top"
         height="23"
         label="Abandon Land"
         label_selected="Abandon Land"
         layout="topleft"
         left_delta="0"
         name="button abandon land"
         top_pad="4"
         width="125" />
 </panel>
<!-- end of tabs -->
</floater>
